# EventLogs

## Gets the Event Log objects for the Memori of the current session in a specific date interval.

> This API requires a Giver session.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/EventLogs/{strSessionID}/{strDateFrom}/{strDateTo}":{"get":{"tags":["EventLogs"],"summary":"Gets the Event Log objects for the Memori of the current session in a specific date interval.","description":"This API requires a Giver session.","operationId":"EventLogs-ListMemoriEventLogs","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}},{"name":"strDateFrom","in":"path","description":"The optional begin of the date interval, in UTC time, in the format yyyyMMddHHmmssfff","schema":{"type":"string"}},{"name":"strDateTo","in":"path","description":"The optional end of the date interval, in UTC time, in the format yyyyMMddHHmmssfff","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ListEventLogsResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/ListEventLogsResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/ListEventLogsResponse"}}}}}}}},"components":{"schemas":{"ListEventLogsResponse":{"type":"object","properties":{"eventLogs":{"type":"array","items":{"$ref":"#/components/schemas/EventLogSpecs"},"description":"List of Event Log objects.\r\nMay be empty.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Event Logs request."},"EventLogSpecs":{"type":"object","properties":{"eventLogID":{"type":"string","description":"Event Log object ID.","nullable":true},"timestamp":{"type":"string","description":"Timestamp UTC of the event.","format":"date-time"},"eventType":{"type":"string","description":"Type of the event (Memori opened, Memori close, question answered correctly, question answered incorrectly, question not answered, intent matched etc.). <br> It may be one of the following:<ul> <li><code>MemoriOpened</code></li> <li><code>MemoriClosed</code></li> <li><code>QuestionAnsweredCorrectly</code></li> <li><code>QuestionAnsweredIncorrectly</code></li> <li><code>QuestionNotAnswered</code></li> <li><code>IntentMatched</code></li> <li><code>DCMOutcomeSent</code></li> </ul>","nullable":true},"memoriID":{"type":"string","description":"ID of the related Memori object.","nullable":true},"userID":{"type":"string","description":"ID of the related User object.\r\nMay be null if no User is associated with the session.","nullable":true},"sessionID":{"type":"string","description":"ID of the session where the event happened.","nullable":true},"maintenanceType":{"type":"string","description":"Type of maintenance associated with this event. It may be present only for <code>MemoriOpened</code> event types. For internal use only. <br> It may be one of the following:<ul> <li><code>None</code></li> <li><code>ConsumptionJob</code></li> <li><code>ChatLogExtractionJob</code></li> <li><code>ContentQualityJob</code></li> </ul>","nullable":true},"deepThoughtEnabled":{"type":"boolean","description":"True if the session where the event happened had Deep Thought enabled.\r\nIt may be present only for ```MemoriOpened``` event types."},"userAgent":{"type":"string","description":"When the event type is a Memori opened event, it reports the\r\nuser agent of the counterpart, if available.\r\nNull in other cases.","nullable":true},"ipAddress":{"type":"string","description":"When the event type is ```MemoriOpened```, it reports the\r\nIP address of the counterpart, if available.\r\nNull in other cases.","nullable":true},"additionalInfo":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"When the event type is ```MemoriOpened```, it contains\r\nadditional key-value pairs for the session specified during\r\nsession opening.\r\nNull in other cases.","nullable":true},"memoryID":{"type":"string","description":"When the event type is ```QuestionAnsweredCorrectly``` or\r\n```QuestionAnsweredIncorrectly```, it is the ID of the related Memory\r\nobject. Null in other cases.","nullable":true},"intentID":{"type":"string","description":"When the event type is ```IntentMatched```, it is the ID of the related\r\nIntent object. Null in other cases.","nullable":true},"enteredText":{"type":"string","description":"When the event type is ```QuestionAnsweredCorrectly```,\r\n```QuestionAnsweredIncorrectly```, ```QuestionNotAnswered```\r\nor ```IntentMatched```, it is the original text entered by\r\nthe user. Null in other cases.","nullable":true},"receiverTag":{"type":"string","description":"When the event type is ```QuestionAnsweredCorrectly```,\r\n```QuestionAnsweredIncorrectly```, ```QuestionNotAnswered```\r\nor ```IntentMatched```, it is the current Receiver tag, if\r\npresent. Null in other cases.","nullable":true},"dcmOutcomeRefID":{"type":"string","description":"When the event type is ```DCMOutcomeSent```, reports the ID\r\nassociated with the outcome sent to the DCM platform.\r\nNull in other cases.","nullable":true},"dcmOutcomeType":{"type":"string","description":"When the event type is ```DCMOutcomeSent```, reports the type\r\nof outcome sent to the DCM platform.\r\nNull in other cases.","nullable":true},"dcmOutcomeCode":{"type":"string","description":"When the event type is ```DCMOutcomeSent```, reports the code\r\nof outcome sent to the DCM platform.\r\nNull in other cases.","nullable":true}},"additionalProperties":false,"description":"Specifications of an Event Log object."}}}}
````

## Gets the Event Log objects for a specific Memory object in a specific date interval.

> This API requires a Giver session.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/MemoryEventLogs/{strSessionID}/{strMemoryID}/{strDateFrom}/{strDateTo}":{"get":{"tags":["EventLogs"],"summary":"Gets the Event Log objects for a specific Memory object in a specific date interval.","description":"This API requires a Giver session.","operationId":"EventLogs-ListMemoryEventLogs","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}},{"name":"strMemoryID","in":"path","description":"The Memory object ID","required":true,"schema":{"type":"string"}},{"name":"strDateFrom","in":"path","description":"The optional begin of the date interval, in UTC time, in the format yyyyMMddHHmmssfff","schema":{"type":"string"}},{"name":"strDateTo","in":"path","description":"The optional end of the date interval, in UTC time, in the format yyyyMMddHHmmssfff","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ListEventLogsResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/ListEventLogsResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/ListEventLogsResponse"}}}}}}}},"components":{"schemas":{"ListEventLogsResponse":{"type":"object","properties":{"eventLogs":{"type":"array","items":{"$ref":"#/components/schemas/EventLogSpecs"},"description":"List of Event Log objects.\r\nMay be empty.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Event Logs request."},"EventLogSpecs":{"type":"object","properties":{"eventLogID":{"type":"string","description":"Event Log object ID.","nullable":true},"timestamp":{"type":"string","description":"Timestamp UTC of the event.","format":"date-time"},"eventType":{"type":"string","description":"Type of the event (Memori opened, Memori close, question answered correctly, question answered incorrectly, question not answered, intent matched etc.). <br> It may be one of the following:<ul> <li><code>MemoriOpened</code></li> <li><code>MemoriClosed</code></li> <li><code>QuestionAnsweredCorrectly</code></li> <li><code>QuestionAnsweredIncorrectly</code></li> <li><code>QuestionNotAnswered</code></li> <li><code>IntentMatched</code></li> <li><code>DCMOutcomeSent</code></li> </ul>","nullable":true},"memoriID":{"type":"string","description":"ID of the related Memori object.","nullable":true},"userID":{"type":"string","description":"ID of the related User object.\r\nMay be null if no User is associated with the session.","nullable":true},"sessionID":{"type":"string","description":"ID of the session where the event happened.","nullable":true},"maintenanceType":{"type":"string","description":"Type of maintenance associated with this event. It may be present only for <code>MemoriOpened</code> event types. For internal use only. <br> It may be one of the following:<ul> <li><code>None</code></li> <li><code>ConsumptionJob</code></li> <li><code>ChatLogExtractionJob</code></li> <li><code>ContentQualityJob</code></li> </ul>","nullable":true},"deepThoughtEnabled":{"type":"boolean","description":"True if the session where the event happened had Deep Thought enabled.\r\nIt may be present only for ```MemoriOpened``` event types."},"userAgent":{"type":"string","description":"When the event type is a Memori opened event, it reports the\r\nuser agent of the counterpart, if available.\r\nNull in other cases.","nullable":true},"ipAddress":{"type":"string","description":"When the event type is ```MemoriOpened```, it reports the\r\nIP address of the counterpart, if available.\r\nNull in other cases.","nullable":true},"additionalInfo":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"When the event type is ```MemoriOpened```, it contains\r\nadditional key-value pairs for the session specified during\r\nsession opening.\r\nNull in other cases.","nullable":true},"memoryID":{"type":"string","description":"When the event type is ```QuestionAnsweredCorrectly``` or\r\n```QuestionAnsweredIncorrectly```, it is the ID of the related Memory\r\nobject. Null in other cases.","nullable":true},"intentID":{"type":"string","description":"When the event type is ```IntentMatched```, it is the ID of the related\r\nIntent object. Null in other cases.","nullable":true},"enteredText":{"type":"string","description":"When the event type is ```QuestionAnsweredCorrectly```,\r\n```QuestionAnsweredIncorrectly```, ```QuestionNotAnswered```\r\nor ```IntentMatched```, it is the original text entered by\r\nthe user. Null in other cases.","nullable":true},"receiverTag":{"type":"string","description":"When the event type is ```QuestionAnsweredCorrectly```,\r\n```QuestionAnsweredIncorrectly```, ```QuestionNotAnswered```\r\nor ```IntentMatched```, it is the current Receiver tag, if\r\npresent. Null in other cases.","nullable":true},"dcmOutcomeRefID":{"type":"string","description":"When the event type is ```DCMOutcomeSent```, reports the ID\r\nassociated with the outcome sent to the DCM platform.\r\nNull in other cases.","nullable":true},"dcmOutcomeType":{"type":"string","description":"When the event type is ```DCMOutcomeSent```, reports the type\r\nof outcome sent to the DCM platform.\r\nNull in other cases.","nullable":true},"dcmOutcomeCode":{"type":"string","description":"When the event type is ```DCMOutcomeSent```, reports the code\r\nof outcome sent to the DCM platform.\r\nNull in other cases.","nullable":true}},"additionalProperties":false,"description":"Specifications of an Event Log object."}}}}
````

## Gets the Event Log objects for a specific Intent object in a specific date interval.

> This API requires a Giver session.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/IntentEventLogs/{strSessionID}/{strIntentID}/{strDateFrom}/{strDateTo}":{"get":{"tags":["EventLogs"],"summary":"Gets the Event Log objects for a specific Intent object in a specific date interval.","description":"This API requires a Giver session.","operationId":"EventLogs-ListIntentEventLogs","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}},{"name":"strIntentID","in":"path","description":"The Intent object ID","required":true,"schema":{"type":"string"}},{"name":"strDateFrom","in":"path","description":"The optional begin of the date interval, in UTC time, in the format yyyyMMddHHmmssfff","schema":{"type":"string"}},{"name":"strDateTo","in":"path","description":"The optional end of the date interval, in UTC time, in the format yyyyMMddHHmmssfff","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ListEventLogsResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/ListEventLogsResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/ListEventLogsResponse"}}}}}}}},"components":{"schemas":{"ListEventLogsResponse":{"type":"object","properties":{"eventLogs":{"type":"array","items":{"$ref":"#/components/schemas/EventLogSpecs"},"description":"List of Event Log objects.\r\nMay be empty.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Event Logs request."},"EventLogSpecs":{"type":"object","properties":{"eventLogID":{"type":"string","description":"Event Log object ID.","nullable":true},"timestamp":{"type":"string","description":"Timestamp UTC of the event.","format":"date-time"},"eventType":{"type":"string","description":"Type of the event (Memori opened, Memori close, question answered correctly, question answered incorrectly, question not answered, intent matched etc.). <br> It may be one of the following:<ul> <li><code>MemoriOpened</code></li> <li><code>MemoriClosed</code></li> <li><code>QuestionAnsweredCorrectly</code></li> <li><code>QuestionAnsweredIncorrectly</code></li> <li><code>QuestionNotAnswered</code></li> <li><code>IntentMatched</code></li> <li><code>DCMOutcomeSent</code></li> </ul>","nullable":true},"memoriID":{"type":"string","description":"ID of the related Memori object.","nullable":true},"userID":{"type":"string","description":"ID of the related User object.\r\nMay be null if no User is associated with the session.","nullable":true},"sessionID":{"type":"string","description":"ID of the session where the event happened.","nullable":true},"maintenanceType":{"type":"string","description":"Type of maintenance associated with this event. It may be present only for <code>MemoriOpened</code> event types. For internal use only. <br> It may be one of the following:<ul> <li><code>None</code></li> <li><code>ConsumptionJob</code></li> <li><code>ChatLogExtractionJob</code></li> <li><code>ContentQualityJob</code></li> </ul>","nullable":true},"deepThoughtEnabled":{"type":"boolean","description":"True if the session where the event happened had Deep Thought enabled.\r\nIt may be present only for ```MemoriOpened``` event types."},"userAgent":{"type":"string","description":"When the event type is a Memori opened event, it reports the\r\nuser agent of the counterpart, if available.\r\nNull in other cases.","nullable":true},"ipAddress":{"type":"string","description":"When the event type is ```MemoriOpened```, it reports the\r\nIP address of the counterpart, if available.\r\nNull in other cases.","nullable":true},"additionalInfo":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"When the event type is ```MemoriOpened```, it contains\r\nadditional key-value pairs for the session specified during\r\nsession opening.\r\nNull in other cases.","nullable":true},"memoryID":{"type":"string","description":"When the event type is ```QuestionAnsweredCorrectly``` or\r\n```QuestionAnsweredIncorrectly```, it is the ID of the related Memory\r\nobject. Null in other cases.","nullable":true},"intentID":{"type":"string","description":"When the event type is ```IntentMatched```, it is the ID of the related\r\nIntent object. Null in other cases.","nullable":true},"enteredText":{"type":"string","description":"When the event type is ```QuestionAnsweredCorrectly```,\r\n```QuestionAnsweredIncorrectly```, ```QuestionNotAnswered```\r\nor ```IntentMatched```, it is the original text entered by\r\nthe user. Null in other cases.","nullable":true},"receiverTag":{"type":"string","description":"When the event type is ```QuestionAnsweredCorrectly```,\r\n```QuestionAnsweredIncorrectly```, ```QuestionNotAnswered```\r\nor ```IntentMatched```, it is the current Receiver tag, if\r\npresent. Null in other cases.","nullable":true},"dcmOutcomeRefID":{"type":"string","description":"When the event type is ```DCMOutcomeSent```, reports the ID\r\nassociated with the outcome sent to the DCM platform.\r\nNull in other cases.","nullable":true},"dcmOutcomeType":{"type":"string","description":"When the event type is ```DCMOutcomeSent```, reports the type\r\nof outcome sent to the DCM platform.\r\nNull in other cases.","nullable":true},"dcmOutcomeCode":{"type":"string","description":"When the event type is ```DCMOutcomeSent```, reports the code\r\nof outcome sent to the DCM platform.\r\nNull in other cases.","nullable":true}},"additionalProperties":false,"description":"Specifications of an Event Log object."}}}}
````

## Gets the Event Log objects for the Memori of the current session recorded during a specific other session.

> This API requires a Giver session.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/SessionEventLogs/{strSessionID}/{strEventLogSessionID}":{"get":{"tags":["EventLogs"],"summary":"Gets the Event Log objects for the Memori of the current session recorded during a specific other session.","description":"This API requires a Giver session.","operationId":"EventLogs-ListSessionEventLogs","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}},{"name":"strEventLogSessionID","in":"path","description":"The session ID for which Event Log objects are being searched","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ListEventLogsResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/ListEventLogsResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/ListEventLogsResponse"}}}}}}}},"components":{"schemas":{"ListEventLogsResponse":{"type":"object","properties":{"eventLogs":{"type":"array","items":{"$ref":"#/components/schemas/EventLogSpecs"},"description":"List of Event Log objects.\r\nMay be empty.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Event Logs request."},"EventLogSpecs":{"type":"object","properties":{"eventLogID":{"type":"string","description":"Event Log object ID.","nullable":true},"timestamp":{"type":"string","description":"Timestamp UTC of the event.","format":"date-time"},"eventType":{"type":"string","description":"Type of the event (Memori opened, Memori close, question answered correctly, question answered incorrectly, question not answered, intent matched etc.). <br> It may be one of the following:<ul> <li><code>MemoriOpened</code></li> <li><code>MemoriClosed</code></li> <li><code>QuestionAnsweredCorrectly</code></li> <li><code>QuestionAnsweredIncorrectly</code></li> <li><code>QuestionNotAnswered</code></li> <li><code>IntentMatched</code></li> <li><code>DCMOutcomeSent</code></li> </ul>","nullable":true},"memoriID":{"type":"string","description":"ID of the related Memori object.","nullable":true},"userID":{"type":"string","description":"ID of the related User object.\r\nMay be null if no User is associated with the session.","nullable":true},"sessionID":{"type":"string","description":"ID of the session where the event happened.","nullable":true},"maintenanceType":{"type":"string","description":"Type of maintenance associated with this event. It may be present only for <code>MemoriOpened</code> event types. For internal use only. <br> It may be one of the following:<ul> <li><code>None</code></li> <li><code>ConsumptionJob</code></li> <li><code>ChatLogExtractionJob</code></li> <li><code>ContentQualityJob</code></li> </ul>","nullable":true},"deepThoughtEnabled":{"type":"boolean","description":"True if the session where the event happened had Deep Thought enabled.\r\nIt may be present only for ```MemoriOpened``` event types."},"userAgent":{"type":"string","description":"When the event type is a Memori opened event, it reports the\r\nuser agent of the counterpart, if available.\r\nNull in other cases.","nullable":true},"ipAddress":{"type":"string","description":"When the event type is ```MemoriOpened```, it reports the\r\nIP address of the counterpart, if available.\r\nNull in other cases.","nullable":true},"additionalInfo":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"When the event type is ```MemoriOpened```, it contains\r\nadditional key-value pairs for the session specified during\r\nsession opening.\r\nNull in other cases.","nullable":true},"memoryID":{"type":"string","description":"When the event type is ```QuestionAnsweredCorrectly``` or\r\n```QuestionAnsweredIncorrectly```, it is the ID of the related Memory\r\nobject. Null in other cases.","nullable":true},"intentID":{"type":"string","description":"When the event type is ```IntentMatched```, it is the ID of the related\r\nIntent object. Null in other cases.","nullable":true},"enteredText":{"type":"string","description":"When the event type is ```QuestionAnsweredCorrectly```,\r\n```QuestionAnsweredIncorrectly```, ```QuestionNotAnswered```\r\nor ```IntentMatched```, it is the original text entered by\r\nthe user. Null in other cases.","nullable":true},"receiverTag":{"type":"string","description":"When the event type is ```QuestionAnsweredCorrectly```,\r\n```QuestionAnsweredIncorrectly```, ```QuestionNotAnswered```\r\nor ```IntentMatched```, it is the current Receiver tag, if\r\npresent. Null in other cases.","nullable":true},"dcmOutcomeRefID":{"type":"string","description":"When the event type is ```DCMOutcomeSent```, reports the ID\r\nassociated with the outcome sent to the DCM platform.\r\nNull in other cases.","nullable":true},"dcmOutcomeType":{"type":"string","description":"When the event type is ```DCMOutcomeSent```, reports the type\r\nof outcome sent to the DCM platform.\r\nNull in other cases.","nullable":true},"dcmOutcomeCode":{"type":"string","description":"When the event type is ```DCMOutcomeSent```, reports the code\r\nof outcome sent to the DCM platform.\r\nNull in other cases.","nullable":true}},"additionalProperties":false,"description":"Specifications of an Event Log object."}}}}
````

## Gets the Event Log objects for the Memori of the current session created by a specific User.

> This API requires a Giver session.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/UserEventLogs/{strSessionID}/{strUserID}/{strDateFrom}/{strDateTo}":{"get":{"tags":["EventLogs"],"summary":"Gets the Event Log objects for the Memori of the current session created by a specific User.","description":"This API requires a Giver session.","operationId":"EventLogs-ListUserEventLogs","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}},{"name":"strUserID","in":"path","description":"The user ID for which Event Log objects are being searched","required":true,"schema":{"type":"string"}},{"name":"strDateFrom","in":"path","description":"The optional begin of the date interval, in UTC time, in the format yyyyMMddHHmmssfff","schema":{"type":"string"}},{"name":"strDateTo","in":"path","description":"The optional end of the date interval, in UTC time, in the format yyyyMMddHHmmssfff","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ListEventLogsResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/ListEventLogsResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/ListEventLogsResponse"}}}}}}}},"components":{"schemas":{"ListEventLogsResponse":{"type":"object","properties":{"eventLogs":{"type":"array","items":{"$ref":"#/components/schemas/EventLogSpecs"},"description":"List of Event Log objects.\r\nMay be empty.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Event Logs request."},"EventLogSpecs":{"type":"object","properties":{"eventLogID":{"type":"string","description":"Event Log object ID.","nullable":true},"timestamp":{"type":"string","description":"Timestamp UTC of the event.","format":"date-time"},"eventType":{"type":"string","description":"Type of the event (Memori opened, Memori close, question answered correctly, question answered incorrectly, question not answered, intent matched etc.). <br> It may be one of the following:<ul> <li><code>MemoriOpened</code></li> <li><code>MemoriClosed</code></li> <li><code>QuestionAnsweredCorrectly</code></li> <li><code>QuestionAnsweredIncorrectly</code></li> <li><code>QuestionNotAnswered</code></li> <li><code>IntentMatched</code></li> <li><code>DCMOutcomeSent</code></li> </ul>","nullable":true},"memoriID":{"type":"string","description":"ID of the related Memori object.","nullable":true},"userID":{"type":"string","description":"ID of the related User object.\r\nMay be null if no User is associated with the session.","nullable":true},"sessionID":{"type":"string","description":"ID of the session where the event happened.","nullable":true},"maintenanceType":{"type":"string","description":"Type of maintenance associated with this event. It may be present only for <code>MemoriOpened</code> event types. For internal use only. <br> It may be one of the following:<ul> <li><code>None</code></li> <li><code>ConsumptionJob</code></li> <li><code>ChatLogExtractionJob</code></li> <li><code>ContentQualityJob</code></li> </ul>","nullable":true},"deepThoughtEnabled":{"type":"boolean","description":"True if the session where the event happened had Deep Thought enabled.\r\nIt may be present only for ```MemoriOpened``` event types."},"userAgent":{"type":"string","description":"When the event type is a Memori opened event, it reports the\r\nuser agent of the counterpart, if available.\r\nNull in other cases.","nullable":true},"ipAddress":{"type":"string","description":"When the event type is ```MemoriOpened```, it reports the\r\nIP address of the counterpart, if available.\r\nNull in other cases.","nullable":true},"additionalInfo":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"When the event type is ```MemoriOpened```, it contains\r\nadditional key-value pairs for the session specified during\r\nsession opening.\r\nNull in other cases.","nullable":true},"memoryID":{"type":"string","description":"When the event type is ```QuestionAnsweredCorrectly``` or\r\n```QuestionAnsweredIncorrectly```, it is the ID of the related Memory\r\nobject. Null in other cases.","nullable":true},"intentID":{"type":"string","description":"When the event type is ```IntentMatched```, it is the ID of the related\r\nIntent object. Null in other cases.","nullable":true},"enteredText":{"type":"string","description":"When the event type is ```QuestionAnsweredCorrectly```,\r\n```QuestionAnsweredIncorrectly```, ```QuestionNotAnswered```\r\nor ```IntentMatched```, it is the original text entered by\r\nthe user. Null in other cases.","nullable":true},"receiverTag":{"type":"string","description":"When the event type is ```QuestionAnsweredCorrectly```,\r\n```QuestionAnsweredIncorrectly```, ```QuestionNotAnswered```\r\nor ```IntentMatched```, it is the current Receiver tag, if\r\npresent. Null in other cases.","nullable":true},"dcmOutcomeRefID":{"type":"string","description":"When the event type is ```DCMOutcomeSent```, reports the ID\r\nassociated with the outcome sent to the DCM platform.\r\nNull in other cases.","nullable":true},"dcmOutcomeType":{"type":"string","description":"When the event type is ```DCMOutcomeSent```, reports the type\r\nof outcome sent to the DCM platform.\r\nNull in other cases.","nullable":true},"dcmOutcomeCode":{"type":"string","description":"When the event type is ```DCMOutcomeSent```, reports the code\r\nof outcome sent to the DCM platform.\r\nNull in other cases.","nullable":true}},"additionalProperties":false,"description":"Specifications of an Event Log object."}}}}
````


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aisuru.com/api/engine/eventlogs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
